with (import <nixpkgs> {});

let
  hp = haskellPackages.extend (self: super: {
    addressbook = self.callPackage ./. {};
  });
  easy-hls = callPackage easy-hls-src { ghcVersions = [ hp.ghc.version ]; };
  easy-hls-src = fetchFromGitHub {
    owner = "ssbothwell";
    repo = "easy-hls-nix";
    inherit (builtins.fromJSON (builtins.readFile ./easy-hls-nix.json)) rev sha256;
  };

in

hp.shellFor {
  packages = h: [h.addressbook];
  buildInputs = [
    ghcid
    easy-hls
    stylish-haskell
    haskellPackages.cabal-install
  ];
}
